Transcript LOL API
PATCH
/spaces/{spaceId}

Authorization

x-api-key
x-api-key<token>

In: header

Path Parameters

spaceId*string

ID of the workspace. You can find from the url in dashboard when you open the workspace or using the list workspaces endpoint.

Request Body

application/json

Workspace preferences

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X PATCH "https://transcript.lol/api/v1/spaces/string" \  -H "Content-Type: application/json" \  -d '{    "name": "string",    "language": "string",    "templateId": "string",    "privacy": "PRIVATE"  }'
{
  "findAndReplaceWords": [
    {
      "find": "string",
      "replace": "string"
    }
  ],
  "id": "string",
  "createdAt": "string",
  "updatedAt": "string",
  "name": "string",
  "language": "bg",
  "templateId": "string",
  "ownerId": "string",
  "_count": {
    "recordings": 0,
    "speakers": 0
  },
  "privacy": "PRIVATE"
}
{
  "error": "string",
  "errorDetails": {}
}
{
  "error": "string",
  "errorDetails": {}
}
{
  "error": "string",
  "errorDetails": {}
}
{
  "error": "string",
  "errorDetails": {}
}